"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Delete = Delete;
const index_1 = require("../index");
/**
 * Registers a controller method to be executed when DELETE request comes on a given route.
 * Must be applied on a controller action.
 */
function Delete(route, options) {
    return function (object, methodName) {
        (0, index_1.getMetadataArgsStorage)().actions.push({
            type: 'delete',
            target: object.constructor,
            method: methodName,
            route: route,
            options,
        });
    };
}
//# sourceMappingURL=Delete.js.map