"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Method = Method;
const index_1 = require("../index");
/**
 * Registers an action to be executed when request with specified method comes on a given route.
 * Must be applied on a controller action.
 */
function Method(method, route, options) {
    return function (object, methodName) {
        (0, index_1.getMetadataArgsStorage)().actions.push({
            type: method,
            target: object.constructor,
            method: methodName,
            options,
            route,
        });
    };
}
//# sourceMappingURL=Method.js.map