"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Put = Put;
const index_1 = require("../index");
/**
 * Registers an action to be executed when PUT request comes on a given route.
 * Must be applied on a controller action.
 */
function Put(route, options) {
    return function (object, methodName) {
        (0, index_1.getMetadataArgsStorage)().actions.push({
            type: 'put',
            target: object.constructor,
            method: methodName,
            route: route,
            options,
        });
    };
}
//# sourceMappingURL=Put.js.map